From 0eb57b14d48c6593a4e3c7ea89490ae45c898377 Mon Sep 17 00:00:00 2001
From: David Christensen <david.christensen@crunchydata.com>
Date: Tue, 29 Aug 2023 16:09:37 -0400
Subject: [PATCH v3 3/8] Capture rename of symbols

---
 contrib/amcheck/expected/check_btree.out    |  2 +-
 contrib/amcheck/sql/check_btree.sql         |  2 +-
 contrib/amcheck/verify_heapam.c             | 12 ++--
 contrib/amcheck/verify_nbtree.c             |  6 +-
 contrib/bloom/blinsert.c                    |  2 +-
 contrib/bloom/bloom.h                       |  4 +-
 contrib/bloom/blutils.c                     |  2 +-
 contrib/file_fdw/file_fdw.c                 |  6 +-
 contrib/pageinspect/btreefuncs.c            |  6 +-
 contrib/pageinspect/expected/checksum.out   |  2 +-
 contrib/pageinspect/expected/checksum_1.out |  2 +-
 contrib/pageinspect/rawpage.c               | 10 ++--
 contrib/pageinspect/sql/checksum.sql        |  2 +-
 contrib/pg_walinspect/pg_walinspect.c       |  6 +-
 contrib/pgstattuple/pgstatapprox.c          |  6 +-
 contrib/pgstattuple/pgstatindex.c           |  4 +-
 contrib/pgstattuple/pgstattuple.c           | 10 ++--
 contrib/postgres_fdw/deparse.c              |  2 +-
 contrib/postgres_fdw/postgres_fdw.c         |  2 +-
 doc/src/sgml/catalogs.sgml                  | 12 ++--
 doc/src/sgml/config.sgml                    | 32 +++++------
 doc/src/sgml/limits.sgml                    |  2 +-
 doc/src/sgml/monitoring.sgml                |  2 +-
 doc/src/sgml/pgfreespacemap.sgml            |  2 +-
 doc/src/sgml/storage.sgml                   |  8 +--
 src/backend/access/brin/brin_bloom.c        |  2 +-
 src/backend/access/brin/brin_pageops.c      |  4 +-
 src/backend/access/common/bufmask.c         |  4 +-
 src/backend/access/common/reloptions.c      |  2 +-
 src/backend/access/common/syncscan.c        |  2 +-
 src/backend/access/common/toast_internals.c |  4 +-
 src/backend/access/gin/ginbtree.c           | 12 ++--
 src/backend/access/gin/gindatapage.c        | 18 +++---
 src/backend/access/gin/ginfast.c            |  8 +--
 src/backend/access/gin/ginget.c             |  6 +-
 src/backend/access/gin/ginvacuum.c          |  2 +-
 src/backend/access/gin/ginxlog.c            |  4 +-
 src/backend/access/gist/gistbuild.c         | 16 +++---
 src/backend/access/gist/gistbuildbuffers.c  | 10 ++--
 src/backend/access/gist/gistutil.c          |  2 +-
 src/backend/access/hash/hash.c              |  2 +-
 src/backend/access/hash/hashpage.c          |  2 +-
 src/backend/access/heap/README.HOT          |  2 +-
 src/backend/access/heap/heapam.c            | 20 +++----
 src/backend/access/heap/heapam_handler.c    | 10 ++--
 src/backend/access/heap/heaptoast.c         | 20 +++----
 src/backend/access/heap/pruneheap.c         |  2 +-
 src/backend/access/heap/rewriteheap.c       |  6 +-
 src/backend/access/heap/vacuumlazy.c        | 18 +++---
 src/backend/access/heap/visibilitymap.c     |  4 +-
 src/backend/access/nbtree/nbtdedup.c        |  8 +--
 src/backend/access/nbtree/nbtpage.c         | 14 ++---
 src/backend/access/nbtree/nbtree.c          |  4 +-
 src/backend/access/nbtree/nbtsort.c         | 12 ++--
 src/backend/access/rmgrdesc/xlogdesc.c      |  2 +-
 src/backend/access/spgist/spgdoinsert.c     | 24 ++++----
 src/backend/access/spgist/spgtextproc.c     | 10 ++--
 src/backend/access/spgist/spgutils.c        | 12 ++--
 src/backend/access/table/tableam.c          |  2 +-
 src/backend/access/transam/README           |  2 +-
 src/backend/access/transam/clog.c           |  6 +-
 src/backend/access/transam/commit_ts.c      | 24 ++++----
 src/backend/access/transam/generic_xlog.c   | 18 +++---
 src/backend/access/transam/multixact.c      | 54 +++++++++---------
 src/backend/access/transam/slru.c           | 22 ++++----
 src/backend/access/transam/subtrans.c       | 20 +++----
 src/backend/access/transam/timeline.c       |  2 +-
 src/backend/access/transam/varsup.c         |  2 +-
 src/backend/access/transam/xlog.c           | 30 +++++-----
 src/backend/access/transam/xloginsert.c     | 24 ++++----
 src/backend/access/transam/xlogprefetcher.c |  4 +-
 src/backend/access/transam/xlogreader.c     | 28 +++++-----
 src/backend/access/transam/xlogrecovery.c   | 10 ++--
 src/backend/backup/basebackup.c             | 40 ++++++-------
 src/backend/backup/basebackup_lz4.c         |  6 +-
 src/backend/backup/basebackup_zstd.c        |  6 +-
 src/backend/catalog/storage.c               |  2 +-
 src/backend/commands/analyze.c              |  4 +-
 src/backend/commands/async.c                |  6 +-
 src/backend/commands/vacuumparallel.c       |  2 +-
 src/backend/executor/nodeAgg.c              | 30 +++++-----
 src/backend/nodes/tidbitmap.c               |  4 +-
 src/backend/optimizer/path/costsize.c       | 12 ++--
 src/backend/optimizer/util/plancat.c        |  2 +-
 src/backend/po/de.po                        | 16 +++---
 src/backend/po/es.po                        | 14 ++---
 src/backend/po/fr.po                        | 18 +++---
 src/backend/po/id.po                        |  8 +--
 src/backend/po/it.po                        | 12 ++--
 src/backend/po/ja.po                        | 16 +++---
 src/backend/po/ko.po                        | 22 ++++----
 src/backend/po/pl.po                        | 12 ++--
 src/backend/po/pt_BR.po                     | 10 ++--
 src/backend/po/ru.po                        | 24 ++++----
 src/backend/po/sv.po                        | 14 ++---
 src/backend/po/tr.po                        | 12 ++--
 src/backend/po/uk.po                        | 12 ++--
 src/backend/po/zh_CN.po                     | 12 ++--
 src/backend/replication/logical/worker.c    |  2 +-
 src/backend/storage/buffer/buf_init.c       |  4 +-
 src/backend/storage/buffer/bufmgr.c         | 22 ++++----
 src/backend/storage/buffer/freelist.c       |  2 +-
 src/backend/storage/buffer/localbuf.c       |  8 +--
 src/backend/storage/file/buffile.c          | 14 ++---
 src/backend/storage/file/copydir.c          |  2 +-
 src/backend/storage/file/fd.c               |  4 +-
 src/backend/storage/freespace/README        |  8 +--
 src/backend/storage/freespace/freespace.c   | 22 ++++----
 src/backend/storage/freespace/indexfsm.c    |  6 +-
 src/backend/storage/large_object/inv_api.c  | 30 +++++-----
 src/backend/storage/lmgr/predicate.c        |  4 +-
 src/backend/storage/page/bufpage.c          | 22 ++++----
 src/backend/storage/smgr/md.c               | 62 ++++++++++-----------
 src/backend/utils/adt/pgstatfuncs.c         |  4 +-
 src/backend/utils/adt/selfuncs.c            |  2 +-
 src/backend/utils/init/miscinit.c           |  6 +-
 src/backend/utils/misc/guc.c                | 16 +++---
 src/backend/utils/misc/guc_tables.c         |  6 +-
 src/backend/utils/sort/logtape.c            | 48 ++++++++--------
 src/backend/utils/sort/sharedtuplestore.c   | 12 ++--
 src/backend/utils/sort/tuplesort.c          |  6 +-
 src/bin/initdb/initdb.c                     | 22 ++++----
 src/bin/pg_checksums/pg_checksums.c         | 18 +++---
 src/bin/pg_resetwal/pg_resetwal.c           |  6 +-
 src/bin/pg_rewind/filemap.c                 |  4 +-
 src/bin/pg_rewind/pg_rewind.c               |  4 +-
 src/bin/pg_upgrade/file.c                   | 10 ++--
 src/bin/pg_waldump/pg_waldump.c             |  2 +-
 src/common/file_utils.c                     |  6 +-
 src/include/access/brin_page.h              |  6 +-
 src/include/access/ginblock.h               |  6 +-
 src/include/access/gist.h                   |  2 +-
 src/include/access/gist_private.h           |  6 +-
 src/include/access/hash.h                   |  6 +-
 src/include/access/heaptoast.h              | 20 +++----
 src/include/access/htup_details.h           |  6 +-
 src/include/access/itup.h                   |  2 +-
 src/include/access/nbtree.h                 |  6 +-
 src/include/access/slru.h                   |  2 +-
 src/include/access/spgist_private.h         |  6 +-
 src/include/access/xlogrecord.h             |  6 +-
 src/include/backup/basebackup_sink.h        |  4 +-
 src/include/c.h                             |  6 +-
 src/include/pg_config_manual.h              |  2 +-
 src/include/postgres_ext.h                  |  1 +
 src/include/storage/bufmgr.h                |  4 +-
 src/include/storage/bufpage.h               |  8 +--
 src/include/storage/checksum_impl.h         |  6 +-
 src/include/storage/fsm_internals.h         |  4 +-
 src/include/storage/large_object.h          |  8 +--
 src/include/storage/off.h                   |  2 +-
 src/include/utils/rel.h                     |  4 +-
 src/test/modules/test_slru/test_slru.c      |  2 +-
 src/test/regress/expected/btree_index.out   |  4 +-
 src/test/regress/expected/largeobject.out   |  2 +-
 src/test/regress/expected/largeobject_1.out |  2 +-
 src/test/regress/sql/btree_index.sql        |  4 +-
 src/test/regress/sql/largeobject.sql        |  2 +-
 src/tools/msvc/Solution.pm                  |  2 +-
 159 files changed, 752 insertions(+), 751 deletions(-)

diff --git a/contrib/amcheck/sql/check_btree.sql b/contrib/amcheck/sql/check_btree.sql
index 033c04b4d0..6bf3f02c22 100644
--- a/contrib/amcheck/sql/check_btree.sql
+++ b/contrib/amcheck/sql/check_btree.sql
@@ -110,7 +110,7 @@ WHERE attrelid = 'toasty'::regclass AND attname = 'buggy';
 SELECT attstorage FROM pg_attribute
 WHERE attrelid = 'toast_bug'::regclass AND attname = 'buggy';
 
--- Insert compressible heap tuple (comfortably exceeds TOAST_TUPLE_THRESHOLD):
+-- Insert compressible heap tuple (comfortably exceeds toast_tuple_threshold):
 INSERT INTO toast_bug SELECT repeat('a', 2200);
 -- Should not get false positive report of corruption:
 SELECT bt_index_check('toasty', true);
diff --git a/contrib/amcheck/verify_heapam.c b/contrib/amcheck/verify_heapam.c
index 97f3253522..004aa26b7c 100644
--- a/contrib/amcheck/verify_heapam.c
+++ b/contrib/amcheck/verify_heapam.c
@@ -540,13 +540,13 @@ verify_heapam(PG_FUNCTION_ARGS)
 										   (unsigned) MAXALIGN(SizeofHeapTupleHeader)));
 				continue;
 			}
-			if (ctx.lp_off + ctx.lp_len > BLCKSZ)
+			if (ctx.lp_off + ctx.lp_len > cluster_block_size)
 			{
 				report_corruption(&ctx,
 								  psprintf("line pointer to page offset %u with length %u ends beyond maximum page offset %u",
 										   ctx.lp_off,
 										   ctx.lp_len,
-										   (unsigned) BLCKSZ));
+										   (unsigned) cluster_block_size));
 				continue;
 			}
 
@@ -1460,7 +1460,7 @@ check_toast_tuple(HeapTuple toasttup, HeapCheckContext *ctx,
 				  uint32 extsize)
 {
 	int32		chunk_seq;
-	int32		last_chunk_seq = (extsize - 1) / TOAST_MAX_CHUNK_SIZE;
+	int32		last_chunk_seq = (extsize - 1) / cluster_toast_max_chunk_size;
 	Pointer		chunk;
 	bool		isnull;
 	int32		chunksize;
@@ -1530,8 +1530,8 @@ check_toast_tuple(HeapTuple toasttup, HeapCheckContext *ctx,
 		return;
 	}
 
-	expected_size = chunk_seq < last_chunk_seq ? TOAST_MAX_CHUNK_SIZE
-		: extsize - (last_chunk_seq * TOAST_MAX_CHUNK_SIZE);
+	expected_size = chunk_seq < last_chunk_seq ? cluster_toast_max_chunk_size
+		: extsize - (last_chunk_seq * cluster_toast_max_chunk_size);
 
 	if (chunksize != expected_size)
 		report_toast_corruption(ctx, ta,
@@ -1773,7 +1773,7 @@ check_toasted_attribute(HeapCheckContext *ctx, ToastedAttribute *ta)
 	int32		last_chunk_seq;
 
 	extsize = VARATT_EXTERNAL_GET_EXTSIZE(ta->toast_pointer);
-	last_chunk_seq = (extsize - 1) / TOAST_MAX_CHUNK_SIZE;
+	last_chunk_seq = (extsize - 1) / cluster_toast_max_chunk_size;
 
 	/*
 	 * Setup a scan key to find chunks in toast table with matching va_valueid
diff --git a/contrib/amcheck/verify_nbtree.c b/contrib/amcheck/verify_nbtree.c
index dbb83d80f8..28465e0934 100644
--- a/contrib/amcheck/verify_nbtree.c
+++ b/contrib/amcheck/verify_nbtree.c
@@ -2962,7 +2962,7 @@ palloc_btree_page(BtreeCheckState *state, BlockNumber blocknum)
 	BTPageOpaque opaque;
 	OffsetNumber maxoffset;
 
-	page = palloc(BLCKSZ);
+	page = palloc(cluster_block_size);
 
 	/*
 	 * We copy the page into local storage to avoid holding pin on the buffer
@@ -2979,7 +2979,7 @@ palloc_btree_page(BtreeCheckState *state, BlockNumber blocknum)
 	_bt_checkpage(state->rel, buffer);
 
 	/* Only use copy of page in palloc()'d memory */
-	memcpy(page, BufferGetPage(buffer), BLCKSZ);
+	memcpy(page, BufferGetPage(buffer), cluster_block_size);
 	UnlockReleaseBuffer(buffer);
 
 	opaque = BTPageGetOpaque(page);
@@ -3163,7 +3163,7 @@ PageGetItemIdCareful(BtreeCheckState *state, BlockNumber block, Page page,
 	ItemId		itemid = PageGetItemId(page, offset);
 
 	if (ItemIdGetOffset(itemid) + ItemIdGetLength(itemid) >
-		BLCKSZ - MAXALIGN(sizeof(BTPageOpaqueData)))
+		cluster_block_size - MAXALIGN(sizeof(BTPageOpaqueData)))
 		ereport(ERROR,
 				(errcode(ERRCODE_INDEX_CORRUPTED),
 				 errmsg("line pointer points past end of tuple space in index \"%s\"",
diff --git a/contrib/bloom/blinsert.c b/contrib/bloom/blinsert.c
index b90145148d..32a339469a 100644
--- a/contrib/bloom/blinsert.c
+++ b/contrib/bloom/blinsert.c
@@ -52,7 +52,7 @@ flushCachedPage(Relation index, BloomBuildState *buildstate)
 
 	state = GenericXLogStart(index);
 	page = GenericXLogRegisterBuffer(state, buffer, GENERIC_XLOG_FULL_IMAGE);
-	memcpy(page, buildstate->data.data, BLCKSZ);
+	memcpy(page, buildstate->data.data, cluster_block_size);
 	GenericXLogFinish(state);
 	UnlockReleaseBuffer(buffer);
 }
diff --git a/contrib/bloom/bloom.h b/contrib/bloom/bloom.h
index 330811ec60..d08fe1de26 100644
--- a/contrib/bloom/bloom.h
+++ b/contrib/bloom/bloom.h
@@ -112,7 +112,7 @@ typedef struct BloomOptions
  */
 typedef BlockNumber FreeBlockNumberArray[
 										 MAXALIGN_DOWN(
-													   BLCKSZ - SizeOfPageHeaderData - MAXALIGN(sizeof(BloomPageOpaqueData))
+													   cluster_block_size - SizeOfPageHeaderData - MAXALIGN(sizeof(BloomPageOpaqueData))
 													   - MAXALIGN(sizeof(uint16) * 2 + sizeof(uint32) + sizeof(BloomOptions))
 													   ) / sizeof(BlockNumber)
 ];
@@ -150,7 +150,7 @@ typedef struct BloomState
 } BloomState;
 
 #define BloomPageGetFreeSpace(state, page) \
-	(BLCKSZ - MAXALIGN(SizeOfPageHeaderData) \
+	(cluster_block_size - MAXALIGN(SizeOfPageHeaderData) \
 		- BloomPageGetMaxOffset(page) * (state)->sizeOfBloomTuple \
 		- MAXALIGN(sizeof(BloomPageOpaqueData)))
 
diff --git a/contrib/bloom/blutils.c b/contrib/bloom/blutils.c
index f23fbb1d9e..9d79319e90 100644
--- a/contrib/bloom/blutils.c
+++ b/contrib/bloom/blutils.c
@@ -400,7 +400,7 @@ BloomInitPage(Page page, uint16 flags)
 {
 	BloomPageOpaque opaque;
 
-	PageInit(page, BLCKSZ, sizeof(BloomPageOpaqueData));
+	PageInit(page, cluster_block_size, sizeof(BloomPageOpaqueData));
 
 	opaque = BloomPageGetOpaque(page);
 	opaque->flags = flags;
diff --git a/contrib/file_fdw/file_fdw.c b/contrib/file_fdw/file_fdw.c
index 2189be8a3c..c265b6e309 100644
--- a/contrib/file_fdw/file_fdw.c
+++ b/contrib/file_fdw/file_fdw.c
@@ -840,7 +840,7 @@ fileAnalyzeForeignTable(Relation relation,
 	 * Convert size to pages.  Must return at least 1 so that we can tell
 	 * later on that pg_class.relpages is not default.
 	 */
-	*totalpages = (stat_buf.st_size + (BLCKSZ - 1)) / BLCKSZ;
+	*totalpages = (stat_buf.st_size + (cluster_block_size - 1)) / cluster_block_size;
 	if (*totalpages < 1)
 		*totalpages = 1;
 
@@ -1010,12 +1010,12 @@ estimate_size(PlannerInfo *root, RelOptInfo *baserel,
 	 * back to the default if using a program as the input.
 	 */
 	if (fdw_private->is_program || stat(fdw_private->filename, &stat_buf) < 0)
-		stat_buf.st_size = 10 * BLCKSZ;
+		stat_buf.st_size = 10 * cluster_block_size;
 
 	/*
 	 * Convert size to pages for use in I/O cost estimate later.
 	 */
-	pages = (stat_buf.st_size + (BLCKSZ - 1)) / BLCKSZ;
+	pages = (stat_buf.st_size + (cluster_block_size - 1)) / cluster_block_size;
 	if (pages < 1)
 		pages = 1;
 	fdw_private->pages = pages;
diff --git a/contrib/pageinspect/btreefuncs.c b/contrib/pageinspect/btreefuncs.c
index 9cdc8e182b..77b00ef2b9 100644
--- a/contrib/pageinspect/btreefuncs.c
+++ b/contrib/pageinspect/btreefuncs.c
@@ -116,7 +116,7 @@ GetBTPageStatistics(BlockNumber blkno, Buffer buffer, BTPageStat *stat)
 
 	stat->blkno = blkno;
 
-	stat->max_avail = BLCKSZ - (BLCKSZ - phdr->pd_special + SizeOfPageHeaderData);
+	stat->max_avail = cluster_block_size - (cluster_block_size - phdr->pd_special + SizeOfPageHeaderData);
 
 	stat->dead_items = stat->live_items = 0;
 
@@ -663,8 +663,8 @@ bt_page_items_internal(PG_FUNCTION_ARGS, enum pageinspect_version ext_version)
 
 		uargs = palloc(sizeof(ua_page_items));
 
-		uargs->page = palloc(BLCKSZ);
-		memcpy(uargs->page, BufferGetPage(buffer), BLCKSZ);
+		uargs->page = palloc(cluster_block_size);
+		memcpy(uargs->page, BufferGetPage(buffer), cluster_block_size);
 
 		UnlockReleaseBuffer(buffer);
 		relation_close(rel, AccessShareLock);
diff --git a/contrib/pageinspect/rawpage.c b/contrib/pageinspect/rawpage.c
index b25a63cbd6..2527501078 100644
--- a/contrib/pageinspect/rawpage.c
+++ b/contrib/pageinspect/rawpage.c
@@ -179,8 +179,8 @@ get_raw_page_internal(text *relname, ForkNumber forknum, BlockNumber blkno)
 						blkno, RelationGetRelationName(rel))));
 
 	/* Initialize buffer to copy to */
-	raw_page = (bytea *) palloc(BLCKSZ + VARHDRSZ);
-	SET_VARSIZE(raw_page, BLCKSZ + VARHDRSZ);
+	raw_page = (bytea *) palloc(cluster_block_size + VARHDRSZ);
+	SET_VARSIZE(raw_page, cluster_block_size + VARHDRSZ);
 	raw_page_data = VARDATA(raw_page);
 
 	/* Take a verbatim copy of the page */
@@ -188,7 +188,7 @@ get_raw_page_internal(text *relname, ForkNumber forknum, BlockNumber blkno)
 	buf = ReadBufferExtended(rel, forknum, blkno, RBM_NORMAL, NULL);
 	LockBuffer(buf, BUFFER_LOCK_SHARE);
 
-	memcpy(raw_page_data, BufferGetPage(buf), BLCKSZ);
+	memcpy(raw_page_data, BufferGetPage(buf), cluster_block_size);
 
 	LockBuffer(buf, BUFFER_LOCK_UNLOCK);
 	ReleaseBuffer(buf);
@@ -219,12 +219,12 @@ get_page_from_raw(bytea *raw_page)
 
 	raw_page_size = VARSIZE_ANY_EXHDR(raw_page);
 
-	if (raw_page_size != BLCKSZ)
+	if (raw_page_size != cluster_block_size)
 		ereport(ERROR,
 				(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
 				 errmsg("invalid page size"),
 				 errdetail("Expected %d bytes, got %d.",
-						   BLCKSZ, raw_page_size)));
+						   cluster_block_size, raw_page_size)));
 
 	page = palloc(raw_page_size);
 
diff --git a/contrib/pageinspect/sql/checksum.sql b/contrib/pageinspect/sql/checksum.sql
index b877db0611..2afe04d0d2 100644
--- a/contrib/pageinspect/sql/checksum.sql
+++ b/contrib/pageinspect/sql/checksum.sql
@@ -6,7 +6,7 @@
 -- on the configured block size.  This test has several different expected
 -- results files to handle the following possibilities:
 --
---	BLCKSZ	end	file
+--	cluster_block_size	end	file
 --	8K	LE	checksum.out
 --	8K	BE	checksum_1.out
 --
diff --git a/contrib/pg_walinspect/pg_walinspect.c b/contrib/pg_walinspect/pg_walinspect.c
index 796a74f322..318c55abac 100644
--- a/contrib/pg_walinspect/pg_walinspect.c
+++ b/contrib/pg_walinspect/pg_walinspect.c
@@ -386,9 +386,9 @@ GetWALBlockInfo(FunctionCallInfo fcinfo, XLogReaderState *record,
 						(errcode(ERRCODE_INTERNAL_ERROR),
 						 errmsg_internal("%s", record->errormsg_buf)));
 
-			block_fpi_data = (bytea *) palloc(BLCKSZ + VARHDRSZ);
-			SET_VARSIZE(block_fpi_data, BLCKSZ + VARHDRSZ);
-			memcpy(VARDATA(block_fpi_data), page, BLCKSZ);
+			block_fpi_data = (bytea *) palloc(cluster_block_size + VARHDRSZ);
+			SET_VARSIZE(block_fpi_data, cluster_block_size + VARHDRSZ);
+			memcpy(VARDATA(block_fpi_data), page, cluster_block_size);
 			values[i++] = PointerGetDatum(block_fpi_data);
 		}
 		else
diff --git a/contrib/pgstattuple/pgstatapprox.c b/contrib/pgstattuple/pgstatapprox.c
index f601dc6121..0ce0b4f9a9 100644
--- a/contrib/pgstattuple/pgstatapprox.c
+++ b/contrib/pgstattuple/pgstatapprox.c
@@ -94,7 +94,7 @@ statapprox_heap(Relation rel, output_type *stat)
 		if (VM_ALL_VISIBLE(rel, blkno, &vmbuffer))
 		{
 			freespace = GetRecordedFreeSpace(rel, blkno);
-			stat->tuple_len += BLCKSZ - freespace;
+			stat->tuple_len += cluster_block_size - freespace;
 			stat->free_space += freespace;
 			continue;
 		}
@@ -113,7 +113,7 @@ statapprox_heap(Relation rel, output_type *stat)
 		if (!PageIsNew(page))
 			stat->free_space += PageGetHeapFreeSpace(page);
 		else
-			stat->free_space += BLCKSZ - SizeOfPageHeaderData;
+			stat->free_space += cluster_block_size - SizeOfPageHeaderData;
 
 		/* We may count the page as scanned even if it's new/empty */
 		scanned++;
@@ -182,7 +182,7 @@ statapprox_heap(Relation rel, output_type *stat)
 		UnlockReleaseBuffer(buf);
 	}
 
-	stat->table_len = (uint64) nblocks * BLCKSZ;
+	stat->table_len = (uint64) nblocks * cluster_block_size;
 
 	/*
 	 * We don't know how many tuples are in the pages we didn't scan, so
diff --git a/contrib/pgstattuple/pgstatindex.c b/contrib/pgstattuple/pgstatindex.c
index d69ac1c93d..9391bd540b 100644
--- a/contrib/pgstattuple/pgstatindex.c
+++ b/contrib/pgstattuple/pgstatindex.c
@@ -297,7 +297,7 @@ pgstatindex_impl(Relation rel, FunctionCallInfo fcinfo)
 		{
 			int			max_avail;
 
-			max_avail = BLCKSZ - (BLCKSZ - ((PageHeader) page)->pd_special + SizeOfPageHeaderData);
+			max_avail = cluster_block_size - (cluster_block_size - ((PageHeader) page)->pd_special + SizeOfPageHeaderData);
 			indexStat.max_avail += max_avail;
 			indexStat.free_space += PageGetFreeSpace(page);
 
@@ -342,7 +342,7 @@ pgstatindex_impl(Relation rel, FunctionCallInfo fcinfo)
 								indexStat.leaf_pages +
 								indexStat.internal_pages +
 								indexStat.deleted_pages +
-								indexStat.empty_pages) * BLCKSZ);
+								indexStat.empty_pages) * cluster_block_size);
 		values[j++] = psprintf("%u", indexStat.root_blkno);
 		values[j++] = psprintf(INT64_FORMAT, indexStat.internal_pages);
 		values[j++] = psprintf(INT64_FORMAT, indexStat.leaf_pages);
diff --git a/contrib/pgstattuple/pgstattuple.c b/contrib/pgstattuple/pgstattuple.c
index 93b7834b77..6a1c6bc6aa 100644
--- a/contrib/pgstattuple/pgstattuple.c
+++ b/contrib/pgstattuple/pgstattuple.c
@@ -386,7 +386,7 @@ pgstat_heap(Relation rel, FunctionCallInfo fcinfo)
 	table_endscan(scan);
 	relation_close(rel, AccessShareLock);
 
-	stat.table_len = (uint64) nblocks * BLCKSZ;
+	stat.table_len = (uint64) nblocks * cluster_block_size;
 
 	return build_pgstattuple_type(&stat, fcinfo);
 }
@@ -409,7 +409,7 @@ pgstat_btree_page(pgstattuple_type *stat, Relation rel, BlockNumber blkno,
 	if (PageIsNew(page))
 	{
 		/* fully empty page */
-		stat->free_space += BLCKSZ;
+		stat->free_space += cluster_block_size;
 	}
 	else
 	{
@@ -419,7 +419,7 @@ pgstat_btree_page(pgstattuple_type *stat, Relation rel, BlockNumber blkno,
 		if (P_IGNORE(opaque))
 		{
 			/* deleted or half-dead page */
-			stat->free_space += BLCKSZ;
+			stat->free_space += cluster_block_size;
 		}
 		else if (P_ISLEAF(opaque))
 		{
@@ -456,7 +456,7 @@ pgstat_hash_page(pgstattuple_type *stat, Relation rel, BlockNumber blkno,
 		switch (opaque->hasho_flag & LH_PAGE_TYPE)
 		{
 			case LH_UNUSED_PAGE:
-				stat->free_space += BLCKSZ;
+				stat->free_space += cluster_block_size;
 				break;
 			case LH_BUCKET_PAGE:
 			case LH_OVERFLOW_PAGE:
@@ -531,7 +531,7 @@ pgstat_index(Relation rel, BlockNumber start, pgstat_page pagefn,
 		/* Quit if we've scanned the whole relation */
 		if (blkno >= nblocks)
 		{
-			stat.table_len = (uint64) nblocks * BLCKSZ;
+			stat.table_len = (uint64) nblocks * cluster_block_size;
 
 			break;
 		}
diff --git a/contrib/postgres_fdw/deparse.c b/contrib/postgres_fdw/deparse.c
index 09d6dd60dd..22cdddba67 100644
--- a/contrib/postgres_fdw/deparse.c
+++ b/contrib/postgres_fdw/deparse.c
@@ -2364,7 +2364,7 @@ deparseAnalyzeSizeSql(StringInfo buf, Relation rel)
 
 	appendStringInfoString(buf, "SELECT pg_catalog.pg_relation_size(");
 	deparseStringLiteral(buf, relname.data);
-	appendStringInfo(buf, "::pg_catalog.regclass) / %d", BLCKSZ);
+	appendStringInfo(buf, "::pg_catalog.regclass) / %d", cluster_block_size);
 }
 
 /*
diff --git a/contrib/postgres_fdw/postgres_fdw.c b/contrib/postgres_fdw/postgres_fdw.c
index 1393716587..6c55044f64 100644
--- a/contrib/postgres_fdw/postgres_fdw.c
+++ b/contrib/postgres_fdw/postgres_fdw.c
@@ -755,7 +755,7 @@ postgresGetForeignRelSize(PlannerInfo *root,
 		{
 			baserel->pages = 10;
 			baserel->tuples =
-				(10 * BLCKSZ) / (baserel->reltarget->width +
+				(10 * cluster_block_size) / (baserel->reltarget->width +
 								 MAXALIGN(SizeofHeapTupleHeader));
 		}
 
diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index e09adb45e4..9a62b7c0b4 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -2023,7 +2023,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
       </para>
       <para>
        Size of the on-disk representation of this table in pages (of size
-       <symbol>BLCKSZ</symbol>).  This is only an estimate used by the
+       <symbol>cluster_block_size</symbol>).  This is only an estimate used by the
        planner.  It is updated by <link linkend="sql-vacuum"><command>VACUUM</command></link>,
        <link linkend="sql-analyze"><command>ANALYZE</command></link>, and a few DDL commands such as
        <link linkend="sql-createindex"><command>CREATE INDEX</command></link>.
@@ -4884,8 +4884,8 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
    assigned when it is created.  Each large object is broken into
    segments or <quote>pages</quote> small enough to be conveniently stored as rows
    in <structname>pg_largeobject</structname>.
-   The amount of data per page is defined to be <symbol>LOBLKSIZE</symbol> (which is currently
-   <literal>BLCKSZ/4</literal>, or typically 2 kB).
+   The amount of data per page is defined to be <symbol>cluster_loblksize</symbol> (which is currently
+   <literal>cluster_block_size/4</literal>, or typically 2 kB).
   </para>
 
   <para>
@@ -4939,7 +4939,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
       </para>
       <para>
        Actual data stored in the large object.
-       This will never be more than <symbol>LOBLKSIZE</symbol> bytes and might be less.
+       This will never be more than <symbol>cluster_loblksize</symbol> bytes and might be less.
       </para></entry>
      </row>
     </tbody>
@@ -4949,9 +4949,9 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
   <para>
    Each row of <structname>pg_largeobject</structname> holds data
    for one page of a large object, beginning at
-   byte offset (<literal>pageno * LOBLKSIZE</literal>) within the object.  The implementation
+   byte offset (<literal>pageno * cluster_loblksize</literal>) within the object.  The implementation
    allows sparse storage: pages might be missing, and might be shorter than
-   <literal>LOBLKSIZE</literal> bytes even if they are not the last page of the object.
+   <literal>cluster_loblksize</literal> bytes even if they are not the last page of the object.
    Missing regions within a large object read as zeroes.
   </para>
 
